# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Seacas/SEACASPLT clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "SEACASPLT requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.22.0)

## ---------------------------------------------------------------------------
## Compilers used by Seacas/SEACASPLT build
## ---------------------------------------------------------------------------

set(SEACASPLT_CXX_COMPILER "/usr/bin/c++")

set(SEACASPLT_C_COMPILER "/usr/bin/cc")

set(SEACASPLT_Fortran_COMPILER "/usr/local/bin/gfortran13")
# Deprecated!
set(SEACASPLT_FORTRAN_COMPILER "/usr/local/bin/gfortran13") 


## ---------------------------------------------------------------------------
## Compiler flags used by Seacas/SEACASPLT build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASPLT_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(SEACASPLT_CXX_FLAGS [[ ]])

set(SEACASPLT_C_FLAGS [[-O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing ]])

set(SEACASPLT_Fortran_FLAGS [[ ]])
# Deprecated
set(SEACASPLT_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASPLT_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASPLT_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(SEACASPLT_BUILD_SHARED_LIBS "ON")

set(SEACASPLT_LINKER /usr/bin/ld.lld)
set(SEACASPLT_AR /usr/bin/llvm-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASPLT_INSTALL_DIR "/usr/local")

## List of package libraries
set(SEACASPLT_LIBRARIES SEACASPLT::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASPLT_MPI_LIBRARIES "")
set(SEACASPLT_MPI_LIBRARY_DIRS "")
set(SEACASPLT_MPI_INCLUDE_DIRS "")
set(SEACASPLT_MPI_EXEC "")
set(SEACASPLT_MPI_EXEC_MAX_NUMPROCS "")
set(SEACASPLT_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(SEACASPLT_ENABLE_SEACASSVDI ON)

# Exported cache variables
set(SEACAS_ENABLE_DEBUG "OFF")
set(HAVE_SEACAS_DEBUG "OFF")
set(SEACASExodus_ENABLE_THREADSAFE "OFF")
set(EXODUS_THREADSAFE "OFF")
set(SEACASExodus_ENABLE_STATIC "ON")
set(EXODUS_STATIC "ON")
set(SEACASExodus_ENABLE_SHARED "OFF")
set(EXODUS_SHARED "OFF")
set(SEACASIoss_ENABLE_THREADSAFE "OFF")
set(IOSS_THREADSAFE "OFF")

# Include configuration of dependent packages
if (NOT TARGET SEACASSVDI::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../SEACASSVDI/SEACASSVDIConfig.cmake")
endif()

# Import SEACASPLT targets
include("${CMAKE_CURRENT_LIST_DIR}/SEACASPLTTargets.cmake")

# Standard TriBITS-compliant external package variables
set(SEACASPLT_IS_TRIBITS_COMPLIANT TRUE)
set(SEACASPLT_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(SEACASPLT_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(SEACASPLT_EXPORTED_PACKAGE_LIBS_NAMES "plt")

foreach(libname IN LISTS SEACASPLT_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE SEACASPLT::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Seacas', then use the"
      " new namespaced target 'SEACASPLT::${libname}', or better yet,"
      " 'SEACASPLT::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'SEACASPLT'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Seacas', instead link against the"
      " libraries specified by the variable 'SEACASPLT_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
