# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Seacas clients. 
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "Seacas requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.22.0)

## ---------------------------------------------------------------------------
## Compilers used by Seacas build
## ---------------------------------------------------------------------------

set(Seacas_CXX_COMPILER "/usr/bin/c++")

set(Seacas_C_COMPILER "/usr/bin/cc")

set(Seacas_Fortran_COMPILER "/usr/local/bin/gfortran13")

## ---------------------------------------------------------------------------
## Compiler flags used by Seacas build
## ---------------------------------------------------------------------------

set(Seacas_CMAKE_BUILD_TYPE "Release")

set(Seacas_CXX_COMPILER_FLAGS [[-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include ]])

set(Seacas_C_COMPILER_FLAGS [[-O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing ]])

set(Seacas_Fortran_COMPILER_FLAGS [[  -O -Wl,-rpath=/usr/local/lib/gcc13 ]])

## Extra link flags (e.g., specification of fortran libraries)
set(Seacas_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty. 
set(Seacas_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/local/lib")
set(Seacas_BUILD_SHARED_LIBS "ON")

set(Seacas_LINKER /usr/bin/ld.lld)
set(Seacas_AR /usr/bin/llvm-ar)


## ---------------------------------------------------------------------------
## Set library specifications and paths 
## ---------------------------------------------------------------------------

## The project version number
set(Seacas_VERSION "2.0")

# For best practices in handling of components, see
# <http://www.cmake.org/cmake/help/v3.2/manual/cmake-developer.7.html#find-modules>.
#
# If components were requested, include only those. If not, include all of
# Trilinos.
if (Seacas_FIND_COMPONENTS)
  set(COMPONENTS_LIST ${Seacas_FIND_COMPONENTS})
else()
  set(COMPONENTS_LIST SEACAS;SEACASEx2ex1v2;SEACASTxtexo;SEACASSlice;SEACASNumbers;SEACASNemspread;SEACASNemslice;SEACASZellij;SEACASNas2exo;SEACASMat2exo;SEACASMapvar-kd;SEACASMapvar;SEACASMapvarlib;SEACASExplore;SEACASGrepos;SEACASGenshell;SEACASGen3D;SEACASGjoin;SEACASFastq;SEACASEx1ex2v2;SEACASExo_format;SEACASExotxt;SEACASExomatlab;SEACASExodiff;SEACASExo2mat;SEACASCpup;SEACASEpu;SEACASEjoin;SEACASConjoin;SEACASBlot;SEACASAprepro;SEACASAlgebra;SEACASPLT;SEACASSVDI;SEACASSuplibCpp;SEACASSuplibC;SEACASSuplib;SEACASSupes;SEACASAprepro_lib;SEACASChaco;SEACASIoss;SEACASNemesis;SEACASExoIIv2for32;SEACASExodus_for;SEACASExodus;Zoltan)
endif()

# Initialize Seacas_FOUND with true, and set it to FALSE if any of
# the required components wasn't found.
set(Seacas_FOUND TRUE)
set(Seacas_NOT_FOUND_MESSAGE "")
set(selectedComponentsFound "")
foreach (comp IN ITEMS ${COMPONENTS_LIST})
  set(compPkgConfigFile
    ${CMAKE_CURRENT_LIST_DIR}/../${comp}/${comp}Config.cmake
    )
  if (EXISTS ${compPkgConfigFile})
    # Set Seacas_<component>_FOUND.
    set(Seacas_${comp}_FOUND TRUE)
    # Include the package file.
    include(${compPkgConfigFile})
    # Add variables to lists.
    list(APPEND Seacas_LIBRARIES ${${comp}_LIBRARIES})
    list(APPEND selectedComponentsFound ${comp})
  else()
    set(Seacas_${comp}_FOUND FALSE)
    if(Seacas_FIND_REQUIRED_${comp})
      string(APPEND Seacas_NOT_FOUND_MESSAGE
        "ERROR: Could not find component '${comp}'!\n")
      set(Seacas_FOUND FALSE)
    endif()
  endif()
endforeach()

# Deprecated (see #299)!
set(Seacas_INCLUDE_DIRS "/usr/local/include")

# Remove duplicates in Seacas_LIBRARIES
list(REMOVE_DUPLICATES Seacas_LIBRARIES)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(Seacas_INSTALL_DIR "/usr/local")
set(Seacas_MPI_LIBRARIES "")
set(Seacas_MPI_LIBRARY_DIRS "")
set(Seacas_MPI_INCLUDE_DIRS "")
set(Seacas_MPI_EXEC "")
set(Seacas_MPI_EXEC_PRE_NUMPROCS_FLAGS "")
set(Seacas_MPI_EXEC_MAX_NUMPROCS "")
set(Seacas_MPI_EXEC_POST_NUMPROCS_FLAGS "")
set(Seacas_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Compiler vendor identifications
## ---------------------------------------------------------------------------
set(Seacas_SYSTEM_NAME "FreeBSD")
set(Seacas_CXX_COMPILER_ID "Clang")
set(Seacas_C_COMPILER_ID "Clang")
set(Seacas_Fortran_COMPILER_ID "GNU")
set(Seacas_Fortran_IMPLICIT_LINK_LIBRARIES "hdf5;gfortran;m;ssp_nonshared;gcc;gcc_s;quadmath;m;c;gcc;gcc_s")

## ---------------------------------------------------------------------------
## Set useful general variables 
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(Seacas_PACKAGE_LIST "SEACAS;SEACASEx2ex1v2;SEACASTxtexo;SEACASSlice;SEACASNumbers;SEACASNemspread;SEACASNemslice;SEACASZellij;SEACASNas2exo;SEACASMat2exo;SEACASMapvar-kd;SEACASMapvar;SEACASMapvarlib;SEACASExplore;SEACASGrepos;SEACASGenshell;SEACASGen3D;SEACASGjoin;SEACASFastq;SEACASEx1ex2v2;SEACASExo_format;SEACASExotxt;SEACASExomatlab;SEACASExodiff;SEACASExo2mat;SEACASCpup;SEACASEpu;SEACASEjoin;SEACASConjoin;SEACASBlot;SEACASAprepro;SEACASAlgebra;SEACASPLT;SEACASSVDI;SEACASSuplibCpp;SEACASSuplibC;SEACASSuplib;SEACASSupes;SEACASAprepro_lib;SEACASChaco;SEACASIoss;SEACASNemesis;SEACASExoIIv2for32;SEACASExodus_for;SEACASExodus;Zoltan")

## The selected packages for this project
set(Seacas_SELECTED_PACKAGE_LIST "${selectedComponentsFound}")

## ---------------------------------------------------------------------------
## Modern CMake (IMPORTED) targets
## ---------------------------------------------------------------------------

# Seacas::all_libs  (Does *not* depend on COMPONENTS)
if (NOT TARGET Seacas::all_libs)
  set(Seacas_ALL_PACKAGES_TARGETS)
  foreach (pkg IN ITEMS SEACAS;SEACASEx2ex1v2;SEACASTxtexo;SEACASSlice;SEACASNumbers;SEACASNemspread;SEACASNemslice;SEACASZellij;SEACASNas2exo;SEACASMat2exo;SEACASMapvar-kd;SEACASMapvar;SEACASMapvarlib;SEACASExplore;SEACASGrepos;SEACASGenshell;SEACASGen3D;SEACASGjoin;SEACASFastq;SEACASEx1ex2v2;SEACASExo_format;SEACASExotxt;SEACASExomatlab;SEACASExodiff;SEACASExo2mat;SEACASCpup;SEACASEpu;SEACASEjoin;SEACASConjoin;SEACASBlot;SEACASAprepro;SEACASAlgebra;SEACASPLT;SEACASSVDI;SEACASSuplibCpp;SEACASSuplibC;SEACASSuplib;SEACASSupes;SEACASAprepro_lib;SEACASChaco;SEACASIoss;SEACASNemesis;SEACASExoIIv2for32;SEACASExodus_for;SEACASExodus;Zoltan)
    list(APPEND Seacas_ALL_PACKAGES_TARGETS ${pkg}::all_libs)
  endforeach()
  add_library(Seacas::all_libs IMPORTED INTERFACE GLOBAL)
  target_link_libraries(Seacas::all_libs
  INTERFACE ${Seacas_ALL_PACKAGES_TARGETS} )
endif()

# Seacas::all_selected_libs  (Depend on COMPONENTS)
if (NOT TARGET Seacas::all_selected_libs)
  set(Seacas_ALL_SELECTED_PACKAGES_TARGETS)
  foreach (pkg IN ITEMS ${selectedComponentsFound})
    list(APPEND Seacas_ALL_SELECTED_PACKAGES_TARGETS ${pkg}::all_libs)
  endforeach()
  add_library(Seacas::all_selected_libs IMPORTED INTERFACE GLOBAL)
  target_link_libraries(Seacas::all_selected_libs
    INTERFACE ${Seacas_ALL_SELECTED_PACKAGES_TARGETS} )
endif()
